gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecParam

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for `G_TYPE_PARAM` properties.

Synopsis

- newtype ParamSpecParam = ParamSpecParam (ManagedPtr ParamSpecParam)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecParam o) => IsParamSpecParam o
- toParamSpecParam :: (MonadIO m, IsParamSpecParam o) => o -> m ParamSpecParam

# Exported types

newtype ParamSpecParam Source #

Memory-managed wrapper type.

Constructors

ParamSpecParam (ManagedPtr ParamSpecParam) |

#### Instances

Instances details

Eq ParamSpecParam Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecParam Methods (==) :: ParamSpecParam -> ParamSpecParam -> Bool Source # (/=) :: ParamSpecParam -> ParamSpecParam -> Bool Source #
BoxedPtr ParamSpecParam Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecParam Methods boxedPtrCopy :: ParamSpecParam -> IO ParamSpecParam Source # boxedPtrFree :: ParamSpecParam -> IO () Source #
ManagedPtrNewtype ParamSpecParam Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecParam Methods toManagedPtr :: ParamSpecParam -> ManagedPtr ParamSpecParam Source #
TypedObject ParamSpecParam Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecParam Methods glibType :: IO GType Source #
HasParentTypes ParamSpecParam Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecParam
type ParentTypes ParamSpecParam Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecParam type ParentTypes ParamSpecParam = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecParam o) => IsParamSpecParam o Source #

Type class for types which can be safely cast to `ParamSpecParam`, for instance with `toParamSpecParam`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecParam o) => IsParamSpecParam o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecParam

toParamSpecParam :: (MonadIO m, IsParamSpecParam o) => o -> m ParamSpecParam Source #

Cast to `ParamSpecParam`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.